//[kaspresso](../index.md)/[com.kaspersky.kaspresso.flakysafety](index.md)



# Package com.kaspersky.kaspresso.flakysafety  


## Types  
  
|  Name|  Summary| 
|---|---|
| [ContinuouslyProvider](-continuously-provider/index.md)| [androidJvm]  <br>Brief description  <br><br><br>The interface to provide the flaky safety functionality.<br><br>  <br>Content  <br>interface [ContinuouslyProvider](-continuously-provider/index.md)  <br><br><br>
| [ContinuouslyProviderImpl](-continuously-provider-impl/index.md)| [androidJvm]  <br>Brief description  <br><br><br>The implementation of the [ContinuouslyProvider](-continuously-provider/index.md) interface.<br><br>  <br>Content  <br>class [ContinuouslyProviderImpl](-continuously-provider-impl/index.md)(**kaspresso**: [Kaspresso](../com.kaspersky.kaspresso.kaspresso/-kaspresso/index.md)) : [ContinuouslyProvider](-continuously-provider/index.md)  <br><br><br>
| [FlakySafetyProvider](-flaky-safety-provider/index.md)| [androidJvm]  <br>Brief description  <br><br><br>The interface to provide the flaky safety functionality.<br><br>  <br>Content  <br>interface [FlakySafetyProvider](-flaky-safety-provider/index.md)  <br><br><br>
| [FlakySafetyProviderGlobalImpl](-flaky-safety-provider-global-impl/index.md)| [androidJvm]  <br>Brief description  <br><br><br><br><br>The implementation of the [FlakySafetyProvider](-flaky-safety-provider/index.md) interface.<br><br><br><br>By default, this implementation is using in tests (not inside a View).<br><br><br><br>Why? Have a glance at the example:<br><br>someView {  <br>    flakySafety(timeout = 20.sec) {  <br>        isVisible()  <br>    }  <br>}<br><br>In this case, Kaspresso tries to execute someView.isVisible() for 10 seconds (default timeout for FlakySafety interceptors). After 10 seconds someView.isVisible() fails, throws an exception and writes info in logs. This exception is catching by extra ``flakySafety`` that tries to repeat.<br><br><br><br>But such log messages make logs dirty and confuse a developer or tester.<br><br><br><br>Besides, extra ``flakySafety`` can contain more actions, that's why there is probability of not having time to execute entire block. Honestly, we don't recommend to put into flakySafety block more than one concrete action.<br><br><br><br>All of this pushed us to write special implementation of [FlakySafetyProvider](-flaky-safety-provider/index.md).<br><br><br><br>The algorithm:<br><br><ol><li>[FlakySafetyProviderGlobalImpl](-flaky-safety-provider-global-impl/index.md) removes all interceptors implementing FlakySafety behavior from Kakao/Kautomator before the action.</li><li>[FlakySafetyProviderGlobalImpl](-flaky-safety-provider-global-impl/index.md) executes the entire! action inside own FlakySafety.</li><li>[FlakySafetyProviderGlobalImpl](-flaky-safety-provider-global-impl/index.md) restores all interceptors implementing FlakySafety behavior from Kakao/Kautomator after the action.</li></ol><br><br>Such behavior allows us to observe more predictable log information (a developer will see only one and correct error message in described above example) and avoids potentially inconsistent execution.<br><br><br><br>  <br>Content  <br>class [FlakySafetyProviderGlobalImpl](-flaky-safety-provider-global-impl/index.md)(**kaspresso**: [Kaspresso](../com.kaspersky.kaspresso.kaspresso/-kaspresso/index.md)) : [FlakySafetyProvider](-flaky-safety-provider/index.md)  <br><br><br>
| [FlakySafetyProviderSimpleImpl](-flaky-safety-provider-simple-impl/index.md)| [androidJvm]  <br>Brief description  <br><br><br>The implementation of the [FlakySafetyProvider](-flaky-safety-provider/index.md) interface. By default, this implementation is using to struggle with flaky UI libs inside a View<br><br>  <br>Content  <br>class [FlakySafetyProviderSimpleImpl](-flaky-safety-provider-simple-impl/index.md)(**params**: [FlakySafetyParams](../com.kaspersky.kaspresso.params/-flaky-safety-params/index.md), **logger**: [UiTestLogger](../com.kaspersky.kaspresso.logger/-ui-test-logger/index.md)) : [FlakySafetyProvider](-flaky-safety-provider/index.md)  <br><br><br>

