//[kaspresso](../../../index.md)/[com.kaspersky.kaspresso.kaspresso](../../index.md)/[Kaspresso](../index.md)/[Builder](index.md)



# Builder  
 [androidJvm] 

The class for [Kaspresso](../index.md) configuration and initialization. This is the way to set Kaspresso preferences.

class [Builder](index.md)   


## Constructors  
  
|  Name|  Summary| 
|---|---|
| [Builder](-builder.md)|  [androidJvm] fun [Builder](-builder.md)()   <br>


## Types  
  
|  Name|  Summary| 
|---|---|
| [Companion](-companion/index.md)| [androidJvm]  <br>Content  <br>object [Companion](-companion/index.md)  <br><br><br>


## Functions  
  
|  Name|  Summary| 
|---|---|
| [afterEachTest](after-each-test.md)| [androidJvm]  <br>Brief description  <br><br><br>Set the action which will be executed after the test. The action has access to BaseTestContext. If you set @param override in false then the final beforeAction will be     beforeAction of the parent TestCase plus current @param action.     Otherwise final beforeAction will be only @param action.<br><br>  <br>Content  <br>fun [afterEachTest](after-each-test.md)(override: [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html), action: [BaseTestContext](../../../com.kaspersky.kaspresso.testcases.core.testcontext/-base-test-context/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br><br><br>
| [beforeEachTest](before-each-test.md)| [androidJvm]  <br>Brief description  <br><br><br>Set the action which will be executed before the test. The action has access to BaseTestContext. If you set @param override in false then the final beforeAction will be     beforeAction of the parent TestCase plus current @param action.     Otherwise final beforeAction will be only @param action.<br><br>  <br>Content  <br>fun [beforeEachTest](before-each-test.md)(override: [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html), action: [BaseTestContext](../../../com.kaspersky.kaspresso.testcases.core.testcontext/-base-test-context/index.md).() -> [Unit](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html))  <br><br><br>
| [equals](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/equals.html)| [androidJvm]  <br>Content  <br>open operator override fun [equals](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/equals.html)(other: [Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html)?): [Boolean](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html)  <br><br><br>
| [hashCode](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/hash-code.html)| [androidJvm]  <br>Content  <br>open override fun [hashCode](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/hash-code.html)(): [Int](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html)  <br><br><br>
| [toString](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/to-string.html)| [androidJvm]  <br>Content  <br>open override fun [toString](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/to-string.html)(): [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)  <br><br><br>


## Properties  
  
|  Name|  Summary| 
|---|---|
| [accessibility](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/accessibility/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [Accessibility](../../../com.kaspersky.kaspresso.device.accessibility/-accessibility/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [accessibility](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/accessibility/#/PointingToDeclaration/): [Accessibility](../../../com.kaspersky.kaspresso.device.accessibility/-accessibility/index.md)   <br>
| [activities](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/activities/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [Activities](../../../com.kaspersky.kaspresso.device.activities/-activities/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [activities](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/activities/#/PointingToDeclaration/): [Activities](../../../com.kaspersky.kaspresso.device.activities/-activities/index.md)   <br>
| [adbServer](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/adbServer/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [AdbServer](../../../com.kaspersky.kaspresso.device.server/-adb-server/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [adbServer](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/adbServer/#/PointingToDeclaration/): [AdbServer](../../../com.kaspersky.kaspresso.device.server/-adb-server/index.md)   <br>
| [apps](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/apps/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [Apps](../../../com.kaspersky.kaspresso.device.apps/-apps/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [apps](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/apps/#/PointingToDeclaration/): [Apps](../../../com.kaspersky.kaspresso.device.apps/-apps/index.md)   <br>
| [atomWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/atomWatcherInterceptors/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the list of [AtomWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-atom-watcher-interceptor/index.md)s. If it was not specified, Kaspresso will use no [AtomWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-atom-watcher-interceptor/index.md)s. These interceptors are called by [com.kaspersky.kaspresso.proxy.AtomProxy](../../../com.kaspersky.kaspresso.proxy/-atom-proxy/index.md) before androidx.test.espresso.web.model.Atom is actually called.<br><br>lateinit var [atomWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/atomWatcherInterceptors/#/PointingToDeclaration/): [MutableList](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)<[AtomWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-atom-watcher-interceptor/index.md)>   <br>
| [autoScrollParams](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/autoScrollParams/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the [AutoScrollParams](../../../com.kaspersky.kaspresso.params/-auto-scroll-params/index.md) for [com.kaspersky.kaspresso.autoscroll.AutoScrollProvider](../../../com.kaspersky.kaspresso.autoscroll/-auto-scroll-provider/index.md)'s usage. If it was not specified, the default implementation is used.<br><br>lateinit var [autoScrollParams](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/autoScrollParams/#/PointingToDeclaration/): [AutoScrollParams](../../../com.kaspersky.kaspresso.params/-auto-scroll-params/index.md)   <br>
| [continuouslyParams](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/continuouslyParams/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the [ContinuouslyParams](../../../com.kaspersky.kaspresso.params/-continuously-params/index.md) for [com.kaspersky.kaspresso.flakysafety.ContinuouslyProvider](../../../com.kaspersky.kaspresso.flakysafety/-continuously-provider/index.md)'s usage. If it was not specified, the default implementation is used.<br><br>lateinit var [continuouslyParams](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/continuouslyParams/#/PointingToDeclaration/): [ContinuouslyParams](../../../com.kaspersky.kaspresso.params/-continuously-params/index.md)   <br>
| [dataBehaviorInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/dataBehaviorInterceptors/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the list of [DataBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-data-behavior-interceptor/index.md)s. If it was not specified, Kaspresso will use no [DataBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-data-behavior-interceptor/index.md)s. These interceptors are called by com.kaspersky.kaspresso.interceptors.tolibrary.impl.KakaoDataInterceptor before actual androidx.test.espresso.DataInteraction.check call. Note that the order of [DataBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-data-behavior-interceptor/index.md)s in this list is significant: the first item wil be at the lowest level of intercepting chain, and the last item will be at the highest level. For example: the first item actually wraps the androidx.test.espresso.DataInteraction.check call, the second item wraps the first item, and so on.<br><br>lateinit var [dataBehaviorInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/dataBehaviorInterceptors/#/PointingToDeclaration/): [MutableList](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)<[DataBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-data-behavior-interceptor/index.md)>   <br>
| [deviceBehaviorInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/deviceBehaviorInterceptors/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the list of [DeviceBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-device-behavior-interceptor/index.md)s. If it was not specified, Kaspresso will use no [DeviceBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-device-behavior-interceptor/index.md)s. These interceptors are called by KautomatorObjectInterceptor before actual UiObjectInteraction.check and UiObjectInteraction.perform call. Note that the order of [DeviceBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-device-behavior-interceptor/index.md)s in this list is significant: the first item wil be at the lowest level of intercepting chain, and the last item will be at the highest level. For example: the first item actually wraps the UiObjectInteraction.check or UiObjectInteraction.perform call, the second item wraps the first item, and so on.<br><br>lateinit var [deviceBehaviorInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/deviceBehaviorInterceptors/#/PointingToDeclaration/): [MutableList](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)<[DeviceBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-device-behavior-interceptor/index.md)>   <br>
| [deviceWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/deviceWatcherInterceptors/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the list of [DeviceWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.kautomator/-device-watcher-interceptor/index.md)s. If it was not specified, Kaspresso will use no [DeviceWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.kautomator/-device-watcher-interceptor/index.md)s. These interceptors are called by KautomatorDeviceInterceptor before actual UiDeviceInteraction.check and UiDeviceInteraction.perform call.<br><br>lateinit var [deviceWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/deviceWatcherInterceptors/#/PointingToDeclaration/): [MutableList](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)<[DeviceWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.kautomator/-device-watcher-interceptor/index.md)>   <br>
| [exploit](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/exploit/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [Exploit](../../../com.kaspersky.kaspresso.device.exploit/-exploit/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [exploit](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/exploit/#/PointingToDeclaration/): [Exploit](../../../com.kaspersky.kaspresso.device.exploit/-exploit/index.md)   <br>
| [failureHandler](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/failureHandler/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the implementation of the androidx.test.espresso.FailureHandler interface, that is called on every failure.<br><br>var [failureHandler](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/failureHandler/#/PointingToDeclaration/): FailureHandler?   <br>
| [files](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/files/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [Files](../../../com.kaspersky.kaspresso.device.files/-files/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [files](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/files/#/PointingToDeclaration/): [Files](../../../com.kaspersky.kaspresso.device.files/-files/index.md)   <br>
| [flakySafetyParams](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/flakySafetyParams/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the [FlakySafetyParams](../../../com.kaspersky.kaspresso.params/-flaky-safety-params/index.md) for [com.kaspersky.kaspresso.flakysafety.FlakySafetyProvider](../../../com.kaspersky.kaspresso.flakysafety/-flaky-safety-provider/index.md)'s usage. If it was not specified, the default implementation is used.<br><br>lateinit var [flakySafetyParams](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/flakySafetyParams/#/PointingToDeclaration/): [FlakySafetyParams](../../../com.kaspersky.kaspresso.params/-flaky-safety-params/index.md)   <br>
| [hackPermissions](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/hackPermissions/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [HackPermissions](../../../com.kaspersky.kaspresso.device.permissions/-hack-permissions/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [hackPermissions](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/hackPermissions/#/PointingToDeclaration/): [HackPermissions](../../../com.kaspersky.kaspresso.device.permissions/-hack-permissions/index.md)   <br>
| [instrumentation](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/instrumentation/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an instance of [Instrumentation](https://developer.android.com/reference/kotlin/android/app/Instrumentation.html) class. The public access was set up just for more convenient way to use. For example, in [Builder](index.md) you can use instrumentation.targetContext instead of InstrumentationRegistry.getInstrumentation().targetContext<br><br>val [instrumentation](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/instrumentation/#/PointingToDeclaration/): [Instrumentation](https://developer.android.com/reference/kotlin/android/app/Instrumentation.html)   <br>
| [kautomatorWaitForIdleSettings](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/kautomatorWaitForIdleSettings/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [KautomatorWaitForIdleSettings](../../../com.kaspersky.kaspresso.idlewaiting/-kautomator-wait-for-idle-settings/index.md) for external developer's usage in tests. If it was not specified, the default implementation is used.<br><br>lateinit var [kautomatorWaitForIdleSettings](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/kautomatorWaitForIdleSettings/#/PointingToDeclaration/): [KautomatorWaitForIdleSettings](../../../com.kaspersky.kaspresso.idlewaiting/-kautomator-wait-for-idle-settings/index.md)   <br>
| [keyboard](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/keyboard/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [Keyboard](../../../com.kaspersky.kaspresso.device.keyboard/-keyboard/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [keyboard](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/keyboard/#/PointingToDeclaration/): [Keyboard](../../../com.kaspersky.kaspresso.device.keyboard/-keyboard/index.md)   <br>
| [language](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/language/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [Language](../../../com.kaspersky.kaspresso.device.languages/-language/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [language](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/language/#/PointingToDeclaration/): [Language](../../../com.kaspersky.kaspresso.device.languages/-language/index.md)   <br>
| [libLogger](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/libLogger/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [UiTestLogger](../../../com.kaspersky.kaspresso.logger/-ui-test-logger/index.md) interface for inner Kaspresso usage. If it was not specified, the default implementation with default tag is used.<br><br>lateinit var [libLogger](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/libLogger/#/PointingToDeclaration/): [UiTestLogger](../../../com.kaspersky.kaspresso.logger/-ui-test-logger/index.md)   <br>
| [location](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/location/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [Location](../../../com.kaspersky.kaspresso.device.location/-location/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [location](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/location/#/PointingToDeclaration/): [Location](../../../com.kaspersky.kaspresso.device.location/-location/index.md)   <br>
| [logcat](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/logcat/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [Logcat](../../../com.kaspersky.kaspresso.device.logcat/-logcat/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [logcat](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/logcat/#/PointingToDeclaration/): [Logcat](../../../com.kaspersky.kaspresso.device.logcat/-logcat/index.md)   <br>
| [network](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/network/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [Network](../../../com.kaspersky.kaspresso.device.network/-network/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [network](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/network/#/PointingToDeclaration/): [Network](../../../com.kaspersky.kaspresso.device.network/-network/index.md)   <br>
| [objectBehaviorInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/objectBehaviorInterceptors/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the list of [ObjectBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-object-behavior-interceptor/index.md)s. If it was not specified, Kaspresso will use no [ObjectBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-object-behavior-interceptor/index.md)s. These interceptors are called by KautomatorDeviceInterceptor before actual UiDeviceInteraction.check and UiDeviceInteraction.perform call. Note that the order of [ObjectBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-object-behavior-interceptor/index.md)s in this list is significant: the first item wil be at the lowest level of intercepting chain, and the last item will be at the highest level. For example: the first item actually wraps the UiDeviceInteraction.check or UiDeviceInteraction.perform call, the second item wraps the first item, and so on.<br><br>lateinit var [objectBehaviorInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/objectBehaviorInterceptors/#/PointingToDeclaration/): [MutableList](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)<[ObjectBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behaviorkautomator/-object-behavior-interceptor/index.md)>   <br>
| [objectWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/objectWatcherInterceptors/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the list of [ObjectWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.kautomator/-object-watcher-interceptor/index.md)s. If it was not specified, Kaspresso will use no [ObjectWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.kautomator/-object-watcher-interceptor/index.md)s. These interceptors are called by KautomatorObjectInterceptor before actual UiObjectInteraction.check and UiObjectInteraction.perform call.<br><br>lateinit var [objectWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/objectWatcherInterceptors/#/PointingToDeclaration/): [MutableList](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)<[ObjectWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.kautomator/-object-watcher-interceptor/index.md)>   <br>
| [permissions](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/permissions/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [Permissions](../../../com.kaspersky.kaspresso.device.permissions/-permissions/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [permissions](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/permissions/#/PointingToDeclaration/): [Permissions](../../../com.kaspersky.kaspresso.device.permissions/-permissions/index.md)   <br>
| [phone](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/phone/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [Phone](../../../com.kaspersky.kaspresso.device.phone/-phone/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [phone](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/phone/#/PointingToDeclaration/): [Phone](../../../com.kaspersky.kaspresso.device.phone/-phone/index.md)   <br>
| [screenshots](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/screenshots/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [Screenshots](../../../com.kaspersky.kaspresso.device.screenshots/-screenshots/index.md) interface. If it was not specified, the default implementation is used.<br><br>lateinit var [screenshots](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/screenshots/#/PointingToDeclaration/): [Screenshots](../../../com.kaspersky.kaspresso.device.screenshots/-screenshots/index.md)   <br>
| [stepParams](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/stepParams/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the [StepParams](../../../com.kaspersky.kaspresso.params/-step-params/index.md) for com.kaspersky.kaspresso.testcases.core.step.StepsManager's usage. If it was not specified, the default implementation is used.<br><br>lateinit var [stepParams](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/stepParams/#/PointingToDeclaration/): [StepParams](../../../com.kaspersky.kaspresso.params/-step-params/index.md)   <br>
| [stepWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/stepWatcherInterceptors/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the list of [StepWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.testcase/-step-watcher-interceptor/index.md)s. If it was not specified, Kaspresso will use no [StepWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.testcase/-step-watcher-interceptor/index.md)s. These interceptors are called by [com.kaspersky.kaspresso.testcases.core.testcontext.TestContext](../../../com.kaspersky.kaspresso.testcases.core.testcontext/-test-context/index.md) in "step" method on both "step started", "step finished with success", "step finished with failure" and "step finally finished" events.<br><br>lateinit var [stepWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/stepWatcherInterceptors/#/PointingToDeclaration/): [MutableList](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)<[StepWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.testcase/-step-watcher-interceptor/index.md)>   <br>
| [testLogger](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/testLogger/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds an implementation of [UiTestLogger](../../../com.kaspersky.kaspresso.logger/-ui-test-logger/index.md) interface for external developer's usage in tests. If it was not specified, the default implementation with default tag is used.<br><br>lateinit var [testLogger](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/testLogger/#/PointingToDeclaration/): [UiTestLogger](../../../com.kaspersky.kaspresso.logger/-ui-test-logger/index.md)   <br>
| [testRunWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/testRunWatcherInterceptors/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the list of [TestRunWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.testcase/-test-run-watcher-interceptor/index.md)s. If it was not specified, Kaspresso will use no [TestRunWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.testcase/-test-run-watcher-interceptor/index.md)s. These interceptors are called by com.kaspersky.kaspresso.testcases.core.TestRunner in "run" method on "test started", on all [com.kaspersky.kaspresso.testcases.core.sections](../../../index.md)' "section started", "section finished with success" and "section finished with failure", and "test finished" events.<br><br>lateinit var [testRunWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/testRunWatcherInterceptors/#/PointingToDeclaration/): [MutableList](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)<[TestRunWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.testcase/-test-run-watcher-interceptor/index.md)>   <br>
| [viewActionWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/viewActionWatcherInterceptors/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the list of [ViewActionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-view-action-watcher-interceptor/index.md)s. If it was not specified, Kaspresso will use no [ViewActionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-view-action-watcher-interceptor/index.md)s. These interceptors are called by [com.kaspersky.kaspresso.proxy.ViewActionProxy](../../../com.kaspersky.kaspresso.proxy/-view-action-proxy/index.md) before actual androidx.test.espresso.ViewAction.perform call.<br><br>lateinit var [viewActionWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/viewActionWatcherInterceptors/#/PointingToDeclaration/): [MutableList](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)<[ViewActionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-view-action-watcher-interceptor/index.md)>   <br>
| [viewAssertionWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/viewAssertionWatcherInterceptors/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the list of [ViewAssertionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-view-assertion-watcher-interceptor/index.md)s. If it was not specified, Kaspresso will use no [ViewAssertionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-view-assertion-watcher-interceptor/index.md)s. These interceptors are called by [com.kaspersky.kaspresso.proxy.ViewAssertionProxy](../../../com.kaspersky.kaspresso.proxy/-view-assertion-proxy/index.md) before actual androidx.test.espresso.ViewAssertion.check call.<br><br>lateinit var [viewAssertionWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/viewAssertionWatcherInterceptors/#/PointingToDeclaration/): [MutableList](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)<[ViewAssertionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-view-assertion-watcher-interceptor/index.md)>   <br>
| [viewBehaviorInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/viewBehaviorInterceptors/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the list of [ViewBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-view-behavior-interceptor/index.md)s. If it was not specified, Kaspresso will use no [ViewBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-view-behavior-interceptor/index.md)s. These interceptors are called by com.kaspersky.kaspresso.interceptors.tolibrary.impl.KakaoViewInterceptor before actual androidx.test.espresso.ViewInteraction.perform and androidx.test.espresso.ViewInteraction.check calls. Note that the order of [ViewBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-view-behavior-interceptor/index.md)s in this list is significant: the first item wil be at the lowest level of intercepting chain, and the last item will be at the highest level. For example: the first item actually wraps the androidx.test.espresso.ViewInteraction.perform call, the second item wraps the first item, and so on.<br><br>lateinit var [viewBehaviorInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/viewBehaviorInterceptors/#/PointingToDeclaration/): [MutableList](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)<[ViewBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-view-behavior-interceptor/index.md)>   <br>
| [webAssertionWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/webAssertionWatcherInterceptors/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the list of [WebAssertionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-web-assertion-watcher-interceptor/index.md)s. If it was not specified, Kaspresso will use no [WebAssertionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-web-assertion-watcher-interceptor/index.md)s. These interceptors are called by [androidx.test.espresso.web.assertion.WebAssertionProxy](../../../androidx.test.espresso.web.assertion/-web-assertion-proxy/index.md) before actual androidx.test.espresso.web.assertion.WebAssertion.checkResult call.<br><br>lateinit var [webAssertionWatcherInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/webAssertionWatcherInterceptors/#/PointingToDeclaration/): [MutableList](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)<[WebAssertionWatcherInterceptor](../../../com.kaspersky.kaspresso.interceptors.watcher.view/-web-assertion-watcher-interceptor/index.md)>   <br>
| [webBehaviorInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/webBehaviorInterceptors/#/PointingToDeclaration/)|  [androidJvm] <br><br>Holds the list of [WebBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-web-behavior-interceptor/index.md)s. If it was not specified, Kaspresso will use no [WebBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-web-behavior-interceptor/index.md)s. These interceptors are called by com.kaspersky.kaspresso.interceptors.tolibrary.impl.KakaoWebInterceptor before actual androidx.test.espresso.web.sugar.Web.WebInteraction.perform and androidx.test.espresso.web.sugar.Web.WebInteraction.check calls. Note that the order of [WebBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-web-behavior-interceptor/index.md)s in this list is significant: the first item wil be at the lowest level of intercepting chain, and the last item will be at the highest level. For example: the first item actually wraps the androidx.test.espresso.web.sugar.Web.WebInteraction.perform call, the second item wraps the first item, and so on.<br><br>lateinit var [webBehaviorInterceptors](index.md#com.kaspersky.kaspresso.kaspresso/Kaspresso.Builder/webBehaviorInterceptors/#/PointingToDeclaration/): [MutableList](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin.collections/-mutable-list/index.html)<[WebBehaviorInterceptor](../../../com.kaspersky.kaspresso.interceptors.behavior/-web-behavior-interceptor/index.md)>   <br>

